﻿@model ClientProperty
@{
    List<SelectListItem> ClientType = ViewBag.ClientType;
    ClientBudget MortgageRent = ViewBag.MortgageRent;
}
<input type="hidden" id="mortgage-data"
       value="">
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">@(Model?.Id > 0 ? "Edit" : "Add") Property</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form id="propertyFrm" asp-action="saveproperty" class="form fv-plugins-bootstrap fv-plugins-framework" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteProperty">
            <div class="modal-body">
                <input asp-for="Guid" />
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Nickname"></label>
                            <input class="form-control form-control-lg" asp-for="Nickname" />
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Type"></label>
                            <select class="form-control form-control-lg" asp-for="Type" asp-items="ViewBag.PropertyType" data-live-search="true" data-size="6"></select>
                            <span asp-validation-for="Type" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="PricePaid"></label>
                            <input asp-for="PricePaid" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="PricePaid" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="CurrentValue"></label>
                            <input asp-for="CurrentValue" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="CurrentValue" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="AmountOwed"></label>
                            <input asp-for="AmountOwed" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="AmountOwed" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="YearsPayOff"></label>
                            <input asp-for="YearsPayOff" class="form-control form-control-lg year-mask" type="text">
                            <span asp-validation-for="YearsPayOff" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="ProjectedFairMarketValueRetirement"></label>
                            <input asp-for="ProjectedFairMarketValueRetirement" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="ProjectedFairMarketValueRetirement" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Ownership"></label>
                            <select class="form-control form-control-lg" asp-for="Ownership">
                                @foreach (var item in ClientType)
                                {
                                    <option value="@item.Value" data-subtext="@item.Group?.Name" selected="@item.Selected">@item.Text</option>
                                }
                            </select>
                            <span asp-validation-for="Ownership" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="PercentageOfOwnership"></label>
                            <input asp-for="PercentageOfOwnership" class="form-control form-control-lg percentage">
                            <span asp-validation-for="PercentageOfOwnership" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="PropertyPlan"></label>
                            <select class="form-control form-control-lg" asp-for="PropertyPlan" asp-items="Html.GetEnumSelectList<ProprtyPlanEnum>()"></select>
                            <span asp-validation-for="PropertyPlan" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="form-group m">
                    <div class="d-flex">
                        <div class="align-self-center mr-2">
                            <span class="switch switch-icon switch-sm switch-custom">
                                <label>
                                    <input type="checkbox" asp-for="Incomegenerated">
                                    <span></span>
                                </label>
                            </span>
                        </div>
                        <label class="switch-label col-form-label" asp-for="Incomegenerated">
                            Annual income generated
                        </label>
                    </div>
                </div>
                <div class="row incomeYears d-none">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="AnnualIncome"></label>
                            <input asp-for="AnnualIncome" class="form-control form-control-lg currency" type="text">
                            <span asp-validation-for="AnnualIncome" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="Years"></label>
                            <input asp-for="Years" class="form-control form-control-lg year-mask" type="text">
                            <span asp-validation-for="Years" class="text-danger"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn_submit_adviser">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script id="property-template" type="text/html">
    {{if action=="add"}}
    <div class="col-md-12 property-info-div d-flex" id="property-card-${propertyInfo.guid}">
        {{/if}}
        <div class="card card-custom gutter-b shadow-none property-card bg-gray-100 border border-success w-100">
            <div class="card-header bg-success property-header p-5">
                 <div class="card-title m-0 w-75">
                    <h3 class="card-label font-size-h4 font-weight-bold text-white">
                                <span>${propertyInfo.propertyTypeString}</span>
                            {{if propertyInfo.nickname}}
                                <span>- ${propertyInfo.nickname}</span>
                            {{/if}}
                    </h3>
                 </div>
                <div class="card-toolbar m-0">
                    <div class="example-tools">
                        <button class="btn btn-icon btn-sm btn-property-edit" data-guid="${propertyInfo.guid}">
                            <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                        </button>
                        <button class="btn btn-icon btn-sm btn-property-delete" data-guid="${propertyInfo.guid}">
                            <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="card-body pr-4">
                <div class="font-size-h6">
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-7 text-dark font-weight-bold p-0">Purchase Price:</span>
                        <span class="col-md-5 p-0">${formatCurrency(propertyInfo.pricePaid)}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-7 text-dark font-weight-bold p-0">Current Value:</span>
                        <span class="col-md-5 p-0">${formatCurrency(propertyInfo.currentValue)}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-7 text-dark font-weight-bold p-0">Loan Balance:</span>
                        <span class="col-md-5 align-self-end p-0">${formatCurrency(propertyInfo.amountOwed)}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-7 text-dark font-weight-bold p-0">Years Till Pay Off:</span>
                        <span class="col-md-5 align-self-end p-0">${formatYear(propertyInfo.yearsPayOff)}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-7 text-dark font-weight-bold p-0">Projected Value at Retirement:</span>
                        <span class="col-md-5 align-self-end p-0">${formatCurrency(propertyInfo.projectedFairMarketValueRetirement)}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-7 text-dark font-weight-bold align-self-start p-0">Ownership:</span>
                        <span class="col-md-5 align-self-end p-0">${propertyInfo.ownByWithData}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-7 text-dark font-weight-bold p-0">Amount of Ownership(%):</span>
                        <span class="col-md-5 propertyspecialneed align-self-end p-0">${Number(propertyInfo.percentageOfOwnership).toFixed(2)}%</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-7 text-dark font-weight-bold align-self-start p-0">Plans for Property:</span>
                        <span class="col-md-5 p-0">${propertyInfo.propertyPlanString}</span>
                    </div>
                    <div class="d-flex justify-content-between align-items-center">
                        <span class="col-md-7 text-dark font-weight-bold align-self-start p-0">Annual Income Generated:</span>
                        <span class="col-md-5 p-0">${getActiveOrNot(propertyInfo.incomegenerated)}</span>
                    </div>
                </div>
            </div>
        </div>
        {{if action=="add"}}
    </div>
    {{/if}}
</script>
<script>
    setTimeout(function () {
        KTApp.unblockPage();
        $("#PropertyModal").modal({ backdrop: 'static' });
    }, 1000);
    var chk = $("#Incomegenerated").is(":checked");
    showHideIncomeYear(chk, "incomeYears");
    var mortgage_data = @Html.Raw(Json.Serialize(MortgageRent));
    $(document).on("change", "#Type", function () {
        var type = $(this).val();
        if (type == PropertyType.Primary) {
            $("#CurrentValue").val(mortgage_data.amount);
            $("#AmountOwed").val(mortgage_data.balanceOwn);
            $("#YearsPayOff").val(mortgage_data.yearsPayOff);
        }
    });
</script>